summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2017-11-11 16:01:42 +0100
committerMichał Górny <mgorny@gentoo.org>2017-11-11 16:07:27 +0100
commitc39181e9cbaa1fc3d27531a0b6c207181e3bdf7f (patch)
tree81679a942184674a4ba83d0f453ec98a7f1ce07f
parentdev-python/pypy3-bin: Improve binary package deps (diff)
downloadgentoo-c39181e9cbaa1fc3d27531a0b6c207181e3bdf7f.tar.gz
gentoo-c39181e9cbaa1fc3d27531a0b6c207181e3bdf7f.tar.bz2
gentoo-c39181e9cbaa1fc3d27531a0b6c207181e3bdf7f.zip
dev-python/pypy: Inline deps and include dev-python/pycparser dep
Replace the autogenerated || dependency with an inlined version, and include dev-python/pycparser in it when using CPython 2.7 (it is built-in in dev-python/pypy, through CFFI). Enforce the dependency only when USE=-low-memory, since otherwise CPython is not used, and we can't enforce the dependency on PyPy anyway as it would cause circular deps. Closes: https://bugs.gentoo.org/634306
-rw-r--r--dev-python/pypy/pypy-5.9.0.ebuild13
-rw-r--r--dev-python/pypy/pypy-9999.ebuild13
2 files changed, 24 insertions, 2 deletions
diff --git a/dev-python/pypy/pypy-5.9.0.ebuild b/dev-python/pypy/pypy-5.9.0.ebuild
index cef567ec30c..ce877adabdf 100644
--- a/dev-python/pypy/pypy-5.9.0.ebuild
+++ b/dev-python/pypy/pypy-5.9.0.ebuild
@@ -36,9 +36,20 @@ RDEPEND=">=sys-libs/zlib-1.1.3:0=
dev-tcltk/tix:0=
)
!dev-python/pypy-bin:0"
+# don't enforce the dep on pypy with USE=low-memory since it's going
+# to cause either collisions or circular dep on itself
DEPEND="${RDEPEND}
doc? ( dev-python/sphinx )
- ${PYTHON_DEPS}"
+ !low-memory? (
+ || (
+ dev-python/pypy
+ dev-python/pypy-bin
+ (
+ dev-lang/python:2.7
+ dev-python/pycparser[python_targets_python2_7(-),python_single_target_python2_7(+)]
+ )
+ )
+ )"
S="${WORKDIR}/${MY_P}-src"
diff --git a/dev-python/pypy/pypy-9999.ebuild b/dev-python/pypy/pypy-9999.ebuild
index 08bd414c590..805c5e7f777 100644
--- a/dev-python/pypy/pypy-9999.ebuild
+++ b/dev-python/pypy/pypy-9999.ebuild
@@ -37,9 +37,20 @@ RDEPEND=">=sys-libs/zlib-1.1.3:0=
dev-tcltk/tix:0=
)
!dev-python/pypy-bin:0"
+# don't enforce the dep on pypy with USE=low-memory since it's going
+# to cause either collisions or circular dep on itself
DEPEND="${RDEPEND}
doc? ( dev-python/sphinx )
- ${PYTHON_DEPS}"
+ !low-memory? (
+ || (
+ dev-python/pypy
+ dev-python/pypy-bin
+ (
+ dev-lang/python:2.7
+ dev-python/pycparser[python_targets_python2_7(-),python_single_target_python2_7(+)]
+ )
+ )
+ )"
S="${WORKDIR}/${MY_P}-src"